using BarDataModels.Models;
using System.ComponentModel;

namespace BarContracts.ViewModels
{
    public class MessageInfoViewModel : IMessageInfoModel
    {
        public string MessageId { get; set; } = string.Empty;

        public int? ClientId { get; set; }

        [DisplayName("Отправитель")]
        public string SenderName { get; set; } = string.Empty;

        [DisplayName("Дата доставки")]
        public DateTime DateDelivery { get; set; }

        [DisplayName("Тема")]
        public string Subject { get; set; } = string.Empty;

        [DisplayName("Содержание")]
        public string Body { get; set; } = string.Empty;
    }
}
